#112090 Report by node localhost covering 1968 tests from 49 modules resulted into 7 errors

Report

ObsPy version
1.2.2
Continuous Integration
-
GitHub Pull Request
-
Report file
XML document
Total runtime
225.8 sec
Report date/time
2020-10-08 20:36:23

System / Python

Architecture
64bit
Machine
x86_64
Node
localhost
Processor
x86_64
Python Compiler
GCC 7.5.0
Python Implementation
CPython
Python Version
3.8.5
Release
3.10.0-1127.19.1.el7.x86_64
System
Linux
Version
#1 SMP Tue Aug 25 17:23:54 UTC 2020

Dependencies

cartopy
0.18.0
decorator
4.4.2
flake8
---
future
0.18.2
geographiclib
---
lxml.etree
4.5.2
m2crypto
---
matplotlib
3.3.2
mock
---
mpl_toolkits.basemap
1.2.1
numpy
1.19.1
pep8-naming
---
pyflakes
---
pyimgur
---
pyproj
2.6.1.post1
requests
2.24.0
scipy
1.5.2
setuptools
49.6.0.post20200917
shapefile
2.1.2
sqlalchemy
1.3.19

Modules (49)

Module Errors / Failures Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 6 1 2 3 4 5 6
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.dmx - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.hypodd - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 1 7
obspy.taup - -
Summary 7 7

Tracebacks (7)

Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connection.py", line 159, in _new_conn
conn = connection.create_connection(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/util/connection.py", line 61, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/socket.py", line 918, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connectionpool.py", line 670, in urlopen
httplib_response = self._make_request(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connectionpool.py", line 381, in _make_request
self._validate_conn(conn)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connectionpool.py", line 978, in _validate_conn
conn.connect()
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connection.py", line 309, in connect
conn = self._new_conn()
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connection.py", line 171, in _new_conn
raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x7f8937bb8e20>: Failed to establish a new connection: [Errno -2] Name or service not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
resp = conn.urlopen(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connectionpool.py", line 726, in urlopen
retries = retries.increment(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/util/retry.py", line 439, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /test.sac (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7f8937bb8e20>: Failed to establish a new connection: [Errno -2] Name or service not known'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/tests/test_stream.py", line 1969, in test_read_url_via_network
tr = read('https://examples.obspy.org/test.sac', dtype=np.int32)[0]
File "<decorator-gen-31>", line 2, in read
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/util/decorator.py", line 300, in _map_example_filename
return func(*args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/stream.py", line 212, in read
st = _generic_reader(pathname_or_url, _read, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/util/base.py", line 688, in _generic_reader
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/util/base.py", line 642, in download_to_file
r = requests.get(url, stream=True)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/api.py", line 76, in get
return request('get', url, params=params, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/api.py", line 61, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/sessions.py", line 530, in request
resp = self.send(prep, **send_kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/sessions.py", line 643, in send
r = adapter.send(request, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/adapters.py", line 516, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /test.sac (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7f8937bb8e20>: Failed to establish a new connection: [Errno -2] Name or service not known'))
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/doctest.py", line 2204, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.stream.read
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/stream.py", line 1, in read
----------------------------------------------------------------------
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/stream.py", line 158, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/slist.ascii.bz2")
Exception raised:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connection.py", line 159, in _new_conn
conn = connection.create_connection(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/util/connection.py", line 61, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/socket.py", line 918, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connectionpool.py", line 670, in urlopen
httplib_response = self._make_request(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connectionpool.py", line 381, in _make_request
self._validate_conn(conn)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connectionpool.py", line 978, in _validate_conn
conn.connect()
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connection.py", line 309, in connect
conn = self._new_conn()
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connection.py", line 171, in _new_conn
raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x7f89415565b0>: Failed to establish a new connection: [Errno -2] Name or service not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
resp = conn.urlopen(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connectionpool.py", line 726, in urlopen
retries = retries.increment(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/util/retry.py", line 439, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /slist.ascii.bz2 (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7f89415565b0>: Failed to establish a new connection: [Errno -2] Name or service not known'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/doctest.py", line 1336, in __run
exec(compile(example.source, filename, "single",
File "<doctest obspy.core.stream.read[15]>", line 1, in <module>
st = read("https://examples.obspy.org/slist.ascii.bz2")
File "<decorator-gen-31>", line 2, in read
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/util/decorator.py", line 300, in _map_example_filename
return func(*args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/stream.py", line 212, in read
st = _generic_reader(pathname_or_url, _read, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/util/base.py", line 688, in _generic_reader
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/util/base.py", line 642, in download_to_file
r = requests.get(url, stream=True)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/api.py", line 76, in get
return request('get', url, params=params, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/api.py", line 61, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/sessions.py", line 530, in request
resp = self.send(prep, **send_kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/sessions.py", line 643, in send
r = adapter.send(request, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/adapters.py", line 516, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /slist.ascii.bz2 (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7f89415565b0>: Failed to establish a new connection: [Errno -2] Name or service not known'))
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/doctest.py", line 2204, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.trace.Trace.times
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/trace.py", line 2487, in times
----------------------------------------------------------------------
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/trace.py", line 2529, in obspy.core.trace.Trace.times
Failed example:
tr.times("matplotlib")
Expected:
array([ 733643.01392361, 733643.01392373, 733643.01392384, ...,
733643.01427049, 733643.0142706 , 733643.01427072])
Got:
array([ 14480.01392361, 14480.01392373, 14480.01392384, ...,
14480.01427049, 14480.0142706 , 14480.01427072])
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/doctest.py", line 2204, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.utcdatetime.UTCDateTime.matplotlib_date
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/utcdatetime.py", line unknown line number, in matplotlib_date
----------------------------------------------------------------------
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/utcdatetime.py", line ?, in obspy.core.utcdatetime.UTCDateTime.matplotlib_date
Failed example:
t.matplotlib_date
Expected:
733643.0139780092
Got:
14480.01397800926
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/tests/test_trace.py", line 1448, in test_times
np.testing.assert_allclose(got[:5], expected, rtol=1e-17)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/numpy/testing/_private/utils.py", line 1527, in assert_allclose
assert_array_compare(compare, actual, desired, err_msg=str(err_msg),
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/numpy/testing/_private/utils.py", line 840, in assert_array_compare
raise AssertionError(msg)
AssertionError:
Not equal to tolerance rtol=1e-17, atol=0
Mismatched elements: 5 / 5 (100%)
Max absolute difference: 719163.0
Max relative difference: 0.9849928778830878
x: array([ 10957. , 10957.000001, 10957.000001, 10957.000002,
10957.000002])
y: array([ 730120. , 730120.000001, 730120.000001, 730120.000002,
730120.000002])
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/tests/test_utcdatetime.py", line 1092, in test_matplotlib_date
np.testing.assert_almost_equal(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/numpy/testing/_private/utils.py", line 595, in assert_almost_equal
raise AssertionError(_build_err_msg())
AssertionError:
Arrays are not almost equal to 8 decimals
ACTUAL: 5965.5723676839116
DESIRED: 725128.5723676839
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/doctest.py", line 2204, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.signal.tf_misfit.plot_tfr
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/signal/tf_misfit.py", line 1392, in plot_tfr
----------------------------------------------------------------------
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/signal/tf_misfit.py", line 1433, in obspy.signal.tf_misfit.plot_tfr
Failed example:
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
Exception raised:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connection.py", line 159, in _new_conn
conn = connection.create_connection(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/util/connection.py", line 61, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/socket.py", line 918, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connectionpool.py", line 670, in urlopen
httplib_response = self._make_request(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connectionpool.py", line 381, in _make_request
self._validate_conn(conn)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connectionpool.py", line 978, in _validate_conn
conn.connect()
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connection.py", line 309, in connect
conn = self._new_conn()
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connection.py", line 171, in _new_conn
raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x7f89376e2490>: Failed to establish a new connection: [Errno -2] Name or service not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
resp = conn.urlopen(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/connectionpool.py", line 726, in urlopen
retries = retries.increment(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/urllib3/util/retry.py", line 439, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /a02i.2008.240.mseed (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7f89376e2490>: Failed to establish a new connection: [Errno -2] Name or service not known'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/doctest.py", line 1336, in __run
exec(compile(example.source, filename, "single",
File "<doctest obspy.signal.tf_misfit.plot_tfr[1]>", line 1, in <module>
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
File "<decorator-gen-31>", line 2, in read
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/util/decorator.py", line 300, in _map_example_filename
return func(*args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/stream.py", line 212, in read
st = _generic_reader(pathname_or_url, _read, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/util/base.py", line 688, in _generic_reader
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/util/base.py", line 642, in download_to_file
r = requests.get(url, stream=True)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/api.py", line 76, in get
return request('get', url, params=params, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/api.py", line 61, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/sessions.py", line 530, in request
resp = self.send(prep, **send_kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/sessions.py", line 643, in send
r = adapter.send(request, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/requests/adapters.py", line 516, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /a02i.2008.240.mseed (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7f89376e2490>: Failed to establish a new connection: [Errno -2] Name or service not known'))

Skipped tests (25)

Submodule Test Skip message
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_use_obspy_deprecation_warning (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_future_imports_in_every_file (obspy.core.tests.test_code_formatting.FutureUsageTestCase) No code formatting tests for release builds
core test_no_pyplot_import_in_any_file (obspy.core.tests.test_code_formatting.MatplotlibBackendUsageTestCase) No code formatting tests for release builds
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_plot_catalog_before_1900 (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
signal test_schema_validation (obspy.signal.tests.test_quality_control.QualityControlTestCase) Test requires the jsonschema module
signal test_ppsd_spectrogram_plot (obspy.signal.tests.test_spectral_estimation.PsdTestCase) matplotlib >= 3 shifts labels
taup test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase) test needs geographiclib >= 1.34
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_path_resampling (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.

Slowest tests (20)

Runtime Test
28.721s read (obspy.core.stream)
20.025s plot_tfr (obspy.signal.tf_misfit)
20.024s test_read_url_via_network (obspy.core.tests.test_stream.StreamTestCase)
5.800s __init__ (obspy.taup)
4.693s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
4.445s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
4.342s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
3.940s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.487s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
2.741s plot_travel_times (obspy.taup.tau)
2.734s test_rotate2zne_against_lqt_different_combinations (obspy.signal.tests.test_rotate.RotateTestCase)
2.712s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
2.481s test_regional_models (obspy.taup.tests.test_tau.TauPyModelTestCase)
2.411s test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase)
2.304s test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase)
2.289s test_evalresp_file_like_object (obspy.signal.tests.test_invsim.InvSimTestCase)
2.269s test_correlate_stream_template_and_correlation_detector (obspy.signal.tests.test_cross_correlation.CrossCorrelationTestCase)
2.256s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
2.253s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)
2.162s test_many_identically_named_phases (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)

Chuck Norris fact

Scientists have estimated that the energy given off during the Big Bang is roughly equal to 1CNRhK (Chuck Norris Roundhouse Kick).